// D import file generated from 'derelict/opengl3/gl3.d'
module derelict.opengl3.gl3;
public 
{
	import derelict.opengl3.types;
	import derelict.opengl3.constants;
	import derelict.opengl3.functions;
	import derelict.opengl3.arb;
	import derelict.opengl3.ext;
}
private 
{
	import std.algorithm;
	import std.conv;
	import derelict.util.loader;
	import derelict.util.exception;
	import derelict.util.system;
	import derelict.opengl3.internal;
	static if (Derelict_OS_Android || Derelict_OS_iOS)
	{
		static assert(false, "OpenGL is not supported on Android or iOS; use OpenGLES (DerelictGLES) instead");
	}
	else
	{
		static if (Derelict_OS_Windows)
		{
			import derelict.opengl3.wgl;
			import derelict.opengl3.wglext;
			enum libNames = "opengl32.dll";
		}
		else
		{
			static if (Derelict_OS_Mac)
			{
				import derelict.opengl3.cgl;
				enum libNames = "../Frameworks/OpenGL.framework/OpenGL, /Library/Frameworks/OpenGL.framework/OpenGL, /System/Library/Frameworks/OpenGL.framework/OpenGL";
				void loadPlatformEXT(GLVersion);
			}
			else
			{
				static if (Derelict_OS_Posix)
				{
					import derelict.opengl3.glx;
					import derelict.opengl3.glxext;
					enum libNames = "libGL.so.1,libGL.so";
				}
				else
				{
					static assert(0, "Need to implement OpenGL libNames for this operating system.");
				}
			}
		}
	}
}
class DerelictGL3Loader : SharedLibLoader
{
	private GLVersion _loadedVersion;
	public 
	{
		this()
		{
			super(libNames);
		}
		@property GLVersion loadedVersion();
		GLVersion reload();
	}
	protected override void loadSymbols();
	private GLVersion findMaxAvailable();
}
__gshared DerelictGL3Loader DerelictGL3;
shared static this();
